<template>
<q-table
  :title = "title"
  :rows = "data"
  :columns = "columns"
  :pagination = "pagination"
  :hide-pagination = "hidePagination"
  row-key = "startingNumber"
  dense
  color = "primary"
  @load = "onload"
  @request = "$emit('loadDataFromDb')"
>
  <template v-slot:body-cell-editBtn="props">
    <q-td :props="props" style="width:40px">
      <q-btn dense color="secondary" icon="far fa-edit" @click="$emit('editRow', props)"
             :hidden = "showEdit"
             :disable = "props.row.resigned">
        <q-tooltip v-if="props.row.resigned">
          {{ $t('register.resigned') }}
        </q-tooltip>
      </q-btn>
    </q-td>
  </template>
</q-table>
</template>

<script>
export default {
  name: 'TableWithRecords',

  props: {
    title: {
      type: String,
      required: true,
    },
    data: Array,
    columns: Array,
    showEdit: {
      type: Boolean,
      default: false,
    },
    hidePagination: {
      type: Boolean,
      default: false,
    },
  },

  data: () => ({
    pagination: {
      rowsPerPage: 0,
    },
  }),

};
</script>

<style>
</style>
